Subject: [bug#43771] [PATCH 3/5] Remove the postgresql-service procedure

From: Ludovic Courtès <[email-masked]>
Date: Mon, 05 Oct 2020 10:33:47 +0200

Hi,

Christopher Baines <[email-masked]> skribis:

> It's unnecessary, using the service type directly is a better approach. While
> this is unfortunately a breaking change, I'm also looking at making breaking
> changes to the service type configuration, so I don't think this can be
> avoided.

[...]

> -(define* (postgresql-service #:key (postgresql postgresql)
> -                             (port 5432)
> -                             (locale "en_US.utf8")

Here I’d suggest to keep it as ‘define-deprecated’, like we did for
other such procedures.

Otherwise LGTM.

Thanks,
Ludo’.